Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.nlp.util
Class ScoredObject<T>

    java.lang.Object
      edu.stanford.nlp.util.ScoredObject<T>

All Implemented Interfaces:
  Scored

    public class ScoredObject<T>

extends Object
implements Scored

Wrapper class for holding a scored object

Author:
  Dan Klein

Constructor Summary
`ScoredObject()`
`ScoredObject(T object, double score)`

Method Summary
`T` | `object()`
`double` | `score()`
`void` | `setObject(T object)`
`void` | `setScore(double score)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ScoredObject

    public ScoredObject()

### ScoredObject

    public ScoredObject(T object,
                        double score)

Method Detail

### score

    public double score()

  Specified by:
    `score` in interface `Scored`
  Returns:
    The score of this thing.

### setScore

    public void setScore(double score)

### object

    public T object()

### setObject

    public void setObject(T object)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Stanford NLP Group